Skip to main content

Get all pricing

GEThttps://api.propexo.com/v1/listings/pricing

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external listing id

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

listing_id string

The Propexo unique identifier for the listing

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the listing.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the listing

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: a1b2c3d4e5f678901234567890abcdef1234567890abcdef1234567890abcd
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 5138016
    x_listing_idnullrequired

    The external ID of the listing from the integration vendor

    Notice

    This field will always be null for REALPAGE

    Example: null
    base_rent_in_centsnumber | nullnullablerequired

    The base rent cost of the listing, in cents

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 308600
    concession_in_centsnullrequired

    The amount of the concession for the listing, in cents

    Notice

    This field will always be null for REALPAGE

    Example: null
    effective_rent_in_centsnumber | nullnullablerequired

    The amount of the effective rent for the listing, in cents

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 308600
    start_datestring | nullnullablerequired

    The start date associated with the unit price

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 2026-05-13T00:00:00.000Z
    end_datestring | nullnullablerequired

    The end date associated with the unit price

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 2027-05-12T00:00:00.000Z
    available_datestring | nullnullablerequired

    The start date of the availability to query

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 2023-03-30T00:00:00.000Z
    lease_term_in_monthsinteger | nullnullablerequired

    The amount of months for the lease term

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 12
    custom_datanullrequired
    Example: null
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    listing_idnullrequired

    The Propexo unique identifier for the listing

    Notice

    This field will always be null for REALPAGE

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum19required

    The property management system of record

    Show 13 enum values
    REALPAGEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: REALPAGE
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/listings/pricing
curl https://api.propexo.com/v1/listings/pricing \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "a1b2c3d4e5f678901234567890abcdef1234567890abcdef1234567890abcd",
"x_property_id": "5138016",
"x_listing_id": null,
"base_rent_in_cents": 308600,
"concession_in_cents": null,
"effective_rent_in_cents": 308600,
"start_date": "2026-05-13T00:00:00.000Z",
"end_date": "2027-05-12T00:00:00.000Z",
"available_date": "2023-03-30T00:00:00.000Z",
"lease_term_in_months": 12,
"custom_data": null,
"property_id": "clwi5xiix000008l6ctdgafyh",
"listing_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE"
}
]
}